Bug 103970 - spec file ignores --target for rpmbuild
spec file ignores --target for rpmbuild
Product: Red Hat Raw Hide
Classification: Retired
Component: rhpl (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2003-09-08 11:53 EDT by Michael Lee Yohe
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-11-04 10:37:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Lee Yohe 2003-09-08 11:53:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20030722 Galeon/1.3.7

Description of problem:
If you specify --target i686:

During the compile process you will notice...

gcc -DNDEBUG -O2 -g -pipe -march=i386 -mcpu=i686 -D_GNU_SOURCE -fPIC -fPIC
-I/usr/include/python2.2 -c ethtool.c -o build/temp.linux-i686-2.2/ethtool.o
gcc -DNDEBUG -O2 -g -pipe -march=i386 -mcpu=i686 -D_GNU_SOURCE -fPIC -fPIC
-I/usr/include/python2.2 -c iwlib.c -o build/temp.linux-i686-2.2/iwlib.o

Instead you should see -march=i686.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. see description

Actual Results:  Ignores --target argument.

Expected Results:  Should respect --target argument.

Additional info:
Comment 1 Jeremy Katz 2003-09-08 18:48:16 EDT
Fixed in CVS (will be in verison > 0.112)
Comment 2 Michael Lee Yohe 2003-11-04 10:37:07 EST
This is indeed fixed in the later Rawhide versions.

Note You need to log in before you can comment on or make changes to this bug.